> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Token lookup

> Look up a fungible token by symbol



## OpenAPI

````yaml https://data-api.b3.fun/swagger.json?v=1 get /insights/v1/tokens/lookup
openapi: 3.0.0
info:
  description: >-
    Cached proxy layer for multiple blockchain APIs with 24-hour caching and
    automatic fallback across chains. Supports both Blockscout and ThirdWeb
    Insights APIs. Add ?mintlify parameter for Mintlify-compatible version.
  version: 1.0.0
  title: B3 Data API - Multi-Chain Data API
  contact:
    name: B3 Team
    url: https://b3.fun
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://data-api.b3.fun/
    description: B3 Data API - Multi-Chain Proxy
security: []
tags:
  - name: blockscout/search
    description: Blockscout search functionality
  - name: blockscout/transactions
    description: Blockscout transaction data
  - name: blockscout/blocks
    description: Blockscout block data
  - name: blockscout/tokens
    description: Blockscout token and transfer data
  - name: blockscout/stats
    description: Blockscout statistics and charts
  - name: blockscout/main-page
    description: Blockscout main page data
  - name: blockscout
    description: General Blockscout endpoints
  - name: insights/events
    description: ThirdWeb Insights event data
  - name: insights/transactions
    description: ThirdWeb Insights transaction analytics
  - name: insights/tokens
    description: ThirdWeb Insights token analytics
  - name: insights/nfts
    description: ThirdWeb Insights NFT analytics
  - name: insights/wallets
    description: ThirdWeb Insights wallet analytics
  - name: insights/contracts
    description: ThirdWeb Insights contract analytics
  - name: insights/resolve
    description: ThirdWeb Insights ENS resolution
  - name: insights/blocks
    description: ThirdWeb Insights block data
  - name: insights/decode
    description: ThirdWeb Insights transaction decoding
  - name: insights/general
    description: General ThirdWeb Insights endpoints
paths:
  /insights/v1/tokens/lookup:
    get:
      tags:
        - insights/tokens
      summary: Token lookup
      description: Look up a fungible token by symbol
      parameters:
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                maxItems: 10
              - type: string
            description: >-
              The symbol(s) of the token to lookup. You can specify multiple
              symbols, up to a maximum of 10.
                    Use repeated query parameters, e.g., `?symbol=ETH&symbol=USDC`.
            example:
              - ETH
              - USDC
          required: true
          name: symbol
          in: query
        - name: chain
          in: query
          required: false
          deprecated: true
          description: Use chain_id instead
          schema:
            type: array
            example:
              - 20
              - 56
              - 1
            items:
              type: number
        - name: chain_id
          in: query
          required: false
          description: >-
            The chain ID(s) to request the data for. You can specify multiple
            chain IDs, up to a maximum of 55. Use repeated query parameters,
            e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain
            can as well be specified as a subdomain
          schema:
            type: array
            example:
              - 20
              - 56
              - 1
            items:
              type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        chain_id:
                          type: number
                          description: The chain ID of a relevant entry
                          example: 1
                        token_address:
                          type: string
                          title: address (hex or ENS)
                          example: vitalik.eth
                        name:
                          type: string
                        symbol:
                          type: string
                        decimals:
                          type: number
                        price_data:
                          type: object
                          properties:
                            price_usd:
                              type: number
                              description: The price of the token in USD
                            usd_value:
                              type: number
                              description: The value of the token balance in USD
                            volume_24h_usd:
                              type: number
                              description: The volume of the token in USD
                            market_cap_usd:
                              type: number
                              description: The market cap of the token in USD
                            circulating_supply:
                              type: number
                              description: The circulating supply of the token
                            total_supply:
                              type: number
                              description: The total supply of the token
                            percent_change_24h:
                              type: number
                              description: >-
                                The percentage change of the token in the last
                                24 hours
                            price_timestamp:
                              type: string
                              description: The timestamp of the latest price update
                      required:
                        - chain_id
                        - token_address
                required:
                  - data
        '400':
          description: Bad request
        '500':
          description: Internal server error

````